Subject: [bug#48314] [PATCH v3] Install guix system on Raspberry Pi

From: phodina <[email-masked]>
Date: Sun, 14 Aug 2022 09:59:04 +0000

Hi Stefan!

> > I'll test it also on RPi3

I got it working also there. I do have RPi2 but I doubt it will run there as it's just not that powerful.

> > I just have question regarding the example if it wouldn't be better to prepare the whole image
> 
> 
> Yes, certainly. As you may know I started with Guix on void with an NFS root file-system and patched Guix to get to this point, still on NFS. So I have no experience yet to build an image.
> 
> From what I saw in the code, I guess that more work needs to be done to generate an image. My personal focus is to first get the patches merged.
> 

Yes, the focus should be on mainlining these changes first.

> > IMHO having ISO image for Raspberry Pi 3,4 (aarch64) would be great as it would allow them to run Guix easily without need to build it on some other aarch64 machine or resort to crosscompile. What do you think?
> 
> 
> Yes, I totally agree. I also think that it could help to spread Guix. It would be great to see something like e.g. Pi-hole in the future to be based on Guix System.
> 

I know there is some open source bootloader which is already packaged in Guix `raspi-arm64-chainloader`. Maybe this would be the way in the future :-)

Good luck

----
Petr